// OLEShellDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// COLEShellDlg dialog
#include "NeuroSolutions.h"

class COLEShellDlg : public CDialog
{
// Construction
public:
	COLEShellDlg(CWnd* pParent = NULL);	// standard constructor
	void perform(LPCSTR aString);
	int performReturningInt(LPCSTR aString);
	void performSendingFloatArray(float *data, int rows, int cols, LPCSTR aString);
	float performReturningFloat(LPCSTR aString);
	float *performReturningFloatArray(LPCSTR aString, int *rows, int *cols);
	BOOL performReturningBOOL(LPCSTR aString);
	CString performReturningString(LPCSTR aString);

// Dialog Data
	//{{AFX_DATA(COLEShellDlg)
	enum { IDD = IDD_OLESHELL_DIALOG };
	float	m_fY;
	float	m_fX;
	CString	m_sOutput;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COLEShellDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	INS m_nsObject;	    
	INOLEApp m_nsApp;
	BOOL m_bBreadboardOpen;
	// Generated message map functions
	//{{AFX_MSG(COLEShellDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnInitOLE();
	afx_msg void OnKillfocusEdit1();
	afx_msg void OnKillfocusEdit2();
	afx_msg void OnButton2();
	afx_msg void OnClose();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
