// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// INS wrapper class

class INS : public COleDispatchDriver
{
public:
	INS() {}		// Calls COleDispatchDriver default constructor
	INS(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	INS(const INS& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void open(LPCTSTR lpszPathName);
	void close();
	void setStampPoint(long x, long y);
	void setAnimatePoint(long x, long y);
	void setAnimateDelta(long x, long y);
	void select(LPCTSTR name, BOOL keep);
	void moveWindow(long x, long y);
	BOOL onBreadboard(LPCTSTR name);
	void freeAllOfKind(LPCTSTR className);
	void save();
	VARIANT send(LPCTSTR method);
	void deleteObject(LPCTSTR name);
	void moveSelectionBy(long cx, long cy);
	void moveAnimatePointBy(long cx, long cy);
	void alignTop();
	void alignBottom();
	void alignLeft();
	void alignRight();
	void distributeHorizontal();
	void distributeVertical();
	void centerHorizontal();
	void centerVertical();
	void centerObjects();
	void moveToBack();
	void moveToFront();
	BOOL copyToFile(LPCTSTR path);
	BOOL pasteFromFile(LPCTSTR path);
	void replaceWith(LPCTSTR aName, LPCTSTR aClass);
	long animatePointX();
	long animatePointY();
	long animateDeltaX();
	long animateDeltaY();
	void maximize();
	void minimize();
	void restore();
	void copySelection();
	void cutSelection();
	void pasteToSelection();
	void setAnimatePointBottomLeft(long x, long y);
	CString stampOnAndMove(LPCTSTR className, LPCTSTR onName);
	void showOpenProbes(BOOL show);
	void sizeWindow(long cx, long cy);
	void selectMembers(LPCTSTR name, BOOL keep);
	void selectRespondingTo(BOOL aBool, LPCTSTR action, BOOL keep);
	void deleteSelection();
	CString title();
	void setTitle(LPCTSTR name);
	CString pathName();
	void setPathName(LPCTSTR name);
	BOOL isModified();
	BOOL lockWindowUpdate();
	void unlockWindowUpdate();
	void runMacro(LPCTSTR path);
	void unselect(LPCTSTR name);
	void setPromptToSaveModifications(BOOL aBool);
	BOOL promptToSaveModifications();
	CString stampAndMove(LPCTSTR className, LPCTSTR name);
	BOOL evaluationMode();
	CString stampOnAndMoveAtAccessPoint(LPCTSTR aClassString, LPCTSTR onName, LPCTSTR anAccess);
	CString fileName();
	void sendDataToEngine(VARIANT* varData, LPCTSTR engineName);
	BOOL excelEvaluationMode();
	BOOL selectKind(LPCTSTR name, BOOL keep);
	CString getFlashPostInterconnection(LPCTSTR Component, LPCTSTR Prefix);
	CString getFlashPreInterconnection(LPCTSTR Component, LPCTSTR Prefix);
	BOOL customSolutionEvaluationMode();
	void sendWeightsToEngine(VARIANT* varData, LPCTSTR engineName);
};
/////////////////////////////////////////////////////////////////////////////
// INOLEApp wrapper class

class INOLEApp : public COleDispatchDriver
{
public:
	INOLEApp() {}		// Calls COleDispatchDriver default constructor
	INOLEApp(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	INOLEApp(const INOLEApp& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	LPDISPATCH activeDocument();
	LPDISPATCH newDocument();
	LPDISPATCH breadboards(LPCTSTR title);
	LPDISPATCH open(LPCTSTR path);
	void closeBreadboard();
	void maximize();
	void minimize();
	void restore();
	void sizeWindow(long cx, long cy);
	void moveWindow(long x, long y);
	long horizontalResolution();
	long verticalResolution();
	CString pathFromActiveBreadboard(LPCTSTR relPath);
	CString pathFromNS(LPCTSTR relPath);
	CString pathFromWizard(LPCTSTR wizName, LPCTSTR relPath);
	BOOL wantsConsultants(LPCTSTR aMessage, BOOL now);
	BOOL wantsDLLs(LPCTSTR aMessage, BOOL now);
	BOOL wantsFlash(LPCTSTR aMessage, BOOL now);
	BOOL wantsUsers(LPCTSTR aMessage, BOOL now);
	void runWizard(LPCTSTR name, LPCTSTR args);
	BOOL openApplicationDocument(LPCTSTR path, LPCTSTR parameters);
	void displayInspector(BOOL display);
	BOOL openDefaultEditorWithFile(LPCTSTR documentPath);
	void closeApplication();
	BOOL runExecutable(LPCTSTR exePath);
	void setEvalPanelEnabled(BOOL aBool);
	LPDISPATCH activateBreadboard(LPCTSTR breadboardName);
};
/////////////////////////////////////////////////////////////////////////////
// INSConsole wrapper class

class INSConsole : public COleDispatchDriver
{
public:
	INSConsole() {}		// Calls COleDispatchDriver default constructor
	INSConsole(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	INSConsole(const INSConsole& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// INMainFrame wrapper class

class INMainFrame : public COleDispatchDriver
{
public:
	INMainFrame() {}		// Calls COleDispatchDriver default constructor
	INMainFrame(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	INMainFrame(const INMainFrame& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
};
